Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-glue
Name:           python-module-glue
Version:        0.3
Release:        alt1_1
Summary:        A simple command line tool to generate CSS sprites

License:        BSD
URL:            http://github.com/jorgebastida/glue
Source0:        http://pypi.python.org/packages/source/g/glue/glue-%{version}.tar.gz
# This patch removes the Pillow dependency since in Fedora we have
# the python-imaging package which does the same exact thing.
Patch0:         python-glue-0.2.9-remove-pillow-dependency.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

%prep
%setup -q -n glue-%{version}
%patch0
rm -rf glue.egg-info
# Remove the shebang that set the python executable since that's
# generated later
sed -i -e "1d" glue.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS COPYING docs
%{_bindir}/glue
%{python_sitelibdir_noarch}/glue.py
%{python_sitelibdir_noarch}/glue.pyc
%{python_sitelibdir_noarch}/glue.pyo
%{python_sitelibdir_noarch}/glue-%{version}-py?.?.egg-info


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_1
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.9-alt1_1
- initial fc import

